メインコンテンツへスキップ
GET
https://{tenantDomain}/api/v2
/
flows
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using System.Collections.Generic;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Flows.ListAsync(
            new ListFlowsRequestParameters {
                Page = 1,
                PerPage = 1,
                IncludeTotals = true,
                Hydrate = new List<string>(){
                    "form_count",
                }
                ,
                Synchronous = true
            }
        );
    }

}
[
  {
    "id": "<string>",
    "name": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "executed_at": "2023-12-25"
  }
]

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

クエリパラメータ

page
integer

Page index of the results to return. First page is 0.

必須範囲: 0 <= x <= 1000
per_page
integer

Number of results per page. Defaults to 50.

必須範囲: 1 <= x <= 100
include_totals
boolean

Return results inside an object that contains the total result count (true) or as a direct array of results (false, default).

hydrate
enum<string>[]

hydration param

利用可能なオプション:
form_count
Maximum string length: 50
synchronous
boolean

flag to filter by sync/async flows

レスポンス

Flows successfully retrieved.

id
string<flow-id>
必須
Maximum string length: 30
name
string
必須
Required string length: 1 - 150
created_at
string<date-time>
必須
updated_at
string<date-time>
必須
executed_at
string<date>